<?php

namespace App\Modules\Bookings;

use Laracasts\Presenter\Presenter;

class CommentPresenter extends Presenter
{
    public function printPublicMessage()
    {
        if ($this->type == 'qa') {
            if ($this->style == 'success') {
                return 'Passed QA. <i>'.$this->message.'</i>';
            }

            if ($this->style == 'failed') {
                return 'Failed QA. <i>'.$this->message.'</i>';
            }
        }

        return $this->message;
    }
}
